commit:     cbb3851622487c5c5a4e046048a7641cda4709c7
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 25 20:19:00 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Aug 26 09:36:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbb38516

media-libs/gst-plugins-good: bump to 1.14.5 for upstream bug fixes

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 media-libs/gst-plugins-good/Manifest               |  1 +
 .../gst-plugins-good-1.14.5.ebuild                 | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/media-libs/gst-plugins-good/Manifest 
b/media-libs/gst-plugins-good/Manifest
index b2f2e81d2f9..857fa423c81 100644
--- a/media-libs/gst-plugins-good/Manifest
+++ b/media-libs/gst-plugins-good/Manifest
@@ -1 +1,2 @@
 DIST gst-plugins-good-1.14.4.tar.xz 3792524 BLAKE2B 
4c7faac73d33bebe1fd53dc4cfed1a5d27b103f9c4cd801672ad52e385f09addb07cd4a0f511dff23815e3421e5202fb3d7866b7dd58fdaf101d0357c4fdc13f
 SHA512 
30aeb3bb74571287cad1598973da38e7a43a0128d35480ded6d280c1373dc4ecd4ea76caaa04a71cdfba2e1850aee5f1b72d96be86ae92d66633e7d32081c504
+DIST gst-plugins-good-1.14.5.tar.xz 3800104 BLAKE2B 
acb8ba559c8f4d96cb548fa05e88a556dbfd3aed8572d91cee4fc7b652ab1e814a615713f1372a0acdaa723ddf2d9af9c84c599bc4128b8f61d03bfbc096dcce
 SHA512 
11bfadaf39b28a0a6a6c87c4ade8513496e8f13873cb0c2ddc8b8241029b8775d4839f2de441bda664bc67c66c4ca1d6839dd7570f7d79c1f485d5a25cc9d236

diff --git a/media-libs/gst-plugins-good/gst-plugins-good-1.14.5.ebuild 
b/media-libs/gst-plugins-good/gst-plugins-good-1.14.5.ebuild
new file mode 100644
index 00000000000..d4b05401854
--- /dev/null
+++ b/media-libs/gst-plugins-good/gst-plugins-good-1.14.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GST_ORG_MODULE="gst-plugins-good"
+
+inherit flag-o-matic gstreamer
+
+DESCRIPTION="Basepack of plugins for GStreamer"
+HOMEPAGE="https://gstreamer.freedesktop.org/";
+
+LICENSE="LGPL-2.1+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="+orc"
+
+RDEPEND="
+       >=dev-libs/glib-2.40.0:2[${MULTILIB_USEDEP}]
+       >=media-libs/gst-plugins-base-${PV}:${SLOT}[${MULTILIB_USEDEP}]
+       >=media-libs/gstreamer-${PV}:${SLOT}[${MULTILIB_USEDEP}]
+       >=app-arch/bzip2-1.0.6-r4[${MULTILIB_USEDEP}]
+       >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+       orc? ( >=dev-lang/orc-0.4.17[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.12
+"
+
+multilib_src_configure() {
+       # Always enable optional bz2 support for matroska
+       # Always enable optional zlib support for qtdemux and matroska
+       # Many media files require these to work, as some container headers are 
often
+       # compressed, bug #291154
+       gstreamer_multilib_src_configure \
+               --enable-bz2 \
+               --enable-zlib \
+               --disable-examples \
+               --with-default-audiosink=autoaudiosink \
+               --with-default-visualizer=goom
+
+       if multilib_is_native_abi; then
+               ln -s "${S}"/docs/plugins/html docs/plugins/html || die
+       fi
+
+}
+
+multilib_src_install_all() {
+       DOCS="AUTHORS ChangeLog NEWS README RELEASE"
+       einstalldocs
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to